PLplot: wxPLDevice Class Reference

PLplot 5.15.0

Public Member Functions | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
wxPLDevice Class Reference

`#include "wxwidgets.h"`

Inheritance diagram for wxPLDevice:

## Public Member Functions
| wxPLDevice (PLStream *pls, char *mfo, PLINT text, PLINT hrshsym)
virtual | ~wxPLDevice (void)
void | DrawLine (short x1a, short y1a, short x2a, short y2a)
void | DrawPolyline (short *xa, short *ya, PLINT npts)
void | ClearBackground (PLStream *pls, PLINT x1=-1, PLINT y1=-1, PLINT x2=-1, PLINT y2=-1)
void | FillPolygon (PLStream *pls)
void | SetWidth (PLStream *pls)
void | SetColor (PLStream *pls)
void | SetXorMode (bool on)
void | SetDC (PLStream *pls, wxDC *dc)
void | EndPage (PLStream *pls)
void | BeginPage (PLStream *pls)
void | SetSize (PLStream *pls, int width, int height)
void | FixAspectRatio (bool fix)
void | Locate (PLStream *pls, PLGraphicsIn *graphicsIn)
void | Flush (PLStream *pls)
void | PreDestructorTidy (PLStream *pls)
Public Member Functions inherited from PlDevice
| PlDevice ()
virtual | ~PlDevice ()
void | drawText (PLStream *pls, EscText *args)

## Private Member Functions
void | DrawTextSection (wxString section, wxCoord xOrigin, wxCoord yOrigin, wxCoord x, wxCoord y, PLFLT *transform, PLFLT scaledFontSize, bool drawText, bool underlined, PLUNICODE fci, unsigned char red, unsigned char green, unsigned char blue, PLFLT alpha, PLFLT &yScale, wxCoord &sectionWidth, wxCoord &sectionHeight, wxCoord &sectionDepth)
void | TransmitBuffer (PLStream *pls, unsigned char transmissionType)
void | SetupMemoryMap ()
wxRegion | GetClipRegion ()

## Private Attributes
wxDC * | m_dc
bool | m_useDcTextTransform
wxGraphicsContext * | m_gc
wxPen | m_pen
wxBrush | m_brush
wxImage | m_interactiveTextImage
wxGCDC * | m_interactiveTextGcdc
const PLFLT | m_plplotEdgeLength
PLFLT | m_width
PLFLT | m_height
PLFLT | m_xScale
PLFLT | m_yScale
PLFLT | m_xAspect
PLFLT | m_yAspect
PLFLT | m_scale
bool | m_fixedAspect
FontGrabber | m_fontGrabber
PLFLT | m_lineSpacing
char | m_mfo [PLPLOT_MAX_PATH]
PLNamedMutex | m_mutex
size_t | m_localBufferPosition
PLMemoryMap | m_outputMemoryMap

## Static Private Attributes
static const int | m_max_string_length = 500

## Detailed Description

Definition at line 117 of file wxwidgets.h.

## Constructor & Destructor Documentation

## ◆ wxPLDevice()

wxPLDevice::wxPLDevice | ( | PLStream * | pls,
|  | char * | mfo,
|  | PLINT | text,
|  | PLINT | hrshsym
| ) |  |

Definition at line 795 of file wxwidgets_dev.cpp.

## ◆ ~wxPLDevice()

wxPLDevice::~wxPLDevice | ( | void |  | ) |
| virtual

Definition at line 900 of file wxwidgets_dev.cpp.

## Member Function Documentation

## ◆ BeginPage()

void wxPLDevice::BeginPage | ( | PLStream * | pls | ) |
| virtual

Reimplemented from PlDevice.

Definition at line 1331 of file wxwidgets_dev.cpp.

## ◆ ClearBackground()

void wxPLDevice::ClearBackground | ( | PLStream * | pls,
|  | PLINT | x1 = `-1`,
|  | PLINT | y1 = `-1`,
|  | PLINT | x2 = `-1`,
|  | PLINT | y2 = `-1`
| ) |  |
| virtual

Reimplemented from PlDevice.

Definition at line 970 of file wxwidgets_dev.cpp.

## ◆ DrawLine()

void wxPLDevice::DrawLine | ( | short | x1a,
|  | short | y1a,
|  | short | x2a,
|  | short | y2a
| ) |  |
| virtual

Reimplemented from PlDevice.

Definition at line 933 of file wxwidgets_dev.cpp.

## ◆ DrawPolyline()

void wxPLDevice::DrawPolyline | ( | short * | xa,
|  | short * | ya,
|  | PLINT | npts
| ) |  |
| virtual

Reimplemented from PlDevice.

Definition at line 951 of file wxwidgets_dev.cpp.

## ◆ DrawTextSection()

void wxPLDevice::DrawTextSection | ( | wxString | section,
|  | wxCoord | xOrigin,
|  | wxCoord | yOrigin,
|  | wxCoord | x,
|  | wxCoord | y,
|  | PLFLT * | transform,
|  | PLFLT | scaledFontSize,
|  | bool | drawText,
|  | bool | underlined,
|  | PLUNICODE | fci,
|  | unsigned char | red,
|  | unsigned char | green,
|  | unsigned char | blue,
|  | PLFLT | alpha,
|  | PLFLT & | yScale,
|  | wxCoord & | sectionWidth,
|  | wxCoord & | sectionHeight,
|  | wxCoord & | sectionDepth
| ) |  |
| privatevirtual

Reimplemented from PlDevice.

Definition at line 1140 of file wxwidgets_dev.cpp.

## ◆ EndPage()

void wxPLDevice::EndPage | ( | PLStream * | pls | ) |
| virtual

Reimplemented from PlDevice.

Definition at line 1315 of file wxwidgets_dev.cpp.

## ◆ FillPolygon()

void wxPLDevice::FillPolygon | ( | PLStream * | pls | ) |
| virtual

Reimplemented from PlDevice.

Definition at line 1003 of file wxwidgets_dev.cpp.

## ◆ FixAspectRatio()

void wxPLDevice::FixAspectRatio | ( | bool | fix | ) |
| virtual

Reimplemented from PlDevice.

Definition at line 1412 of file wxwidgets_dev.cpp.

## ◆ Flush()

void wxPLDevice::Flush | ( | PLStream * | pls | ) |
| virtual

Reimplemented from PlDevice.

Definition at line 1417 of file wxwidgets_dev.cpp.

## ◆ GetClipRegion()

wxRegion wxPLDevice::GetClipRegion | ( |  | ) |
| private

Definition at line 1902 of file wxwidgets_dev.cpp.

## ◆ Locate()

void wxPLDevice::Locate | ( | PLStream * | pls,
|  | PLGraphicsIn * | graphicsIn
| ) |  |
| virtual

Reimplemented from PlDevice.

Definition at line 1864 of file wxwidgets_dev.cpp.

## ◆ PreDestructorTidy()

void wxPLDevice::PreDestructorTidy | ( | PLStream * | pls | ) |
| virtual

Reimplemented from PlDevice.

Definition at line 922 of file wxwidgets_dev.cpp.

## ◆ SetColor()

void wxPLDevice::SetColor | ( | PLStream * | pls | ) |
| virtual

Reimplemented from PlDevice.

Definition at line 1055 of file wxwidgets_dev.cpp.

## ◆ SetDC()

void wxPLDevice::SetDC | ( | PLStream * | pls,
|  | wxDC * | dc
| ) |  |
| virtual

Reimplemented from PlDevice.

Definition at line 1081 of file wxwidgets_dev.cpp.

## ◆ SetSize()

void wxPLDevice::SetSize | ( | PLStream * | pls,
|  | int | width,
|  | int | height
| ) |  |
| virtual

Reimplemented from PlDevice.

Definition at line 1351 of file wxwidgets_dev.cpp.

## ◆ SetupMemoryMap()

void wxPLDevice::SetupMemoryMap | ( |  | ) |
| private

Definition at line 1683 of file wxwidgets_dev.cpp.

## ◆ SetWidth()

void wxPLDevice::SetWidth | ( | PLStream * | pls | ) |
| virtual

Reimplemented from PlDevice.

Definition at line 1042 of file wxwidgets_dev.cpp.

## ◆ SetXorMode()

void wxPLDevice::SetXorMode | ( | bool | on | ) |
| virtual

Reimplemented from PlDevice.

Definition at line 1069 of file wxwidgets_dev.cpp.

## ◆ TransmitBuffer()

void wxPLDevice::TransmitBuffer | ( | PLStream * | pls,
|  | unsigned char | transmissionType
| ) |  |
| private

Definition at line 1430 of file wxwidgets_dev.cpp.

## Member Data Documentation

## ◆ m_brush

wxBrush wxPLDevice::m_brush
| private

Definition at line 152 of file wxwidgets.h.

## ◆ m_dc

wxDC* wxPLDevice::m_dc
| private

Definition at line 146 of file wxwidgets.h.

## ◆ m_fixedAspect

bool wxPLDevice::m_fixedAspect
| private

Definition at line 170 of file wxwidgets.h.

## ◆ m_fontGrabber

FontGrabber wxPLDevice::m_fontGrabber
| private

Definition at line 175 of file wxwidgets.h.

## ◆ m_gc

wxGraphicsContext* wxPLDevice::m_gc
| private

Definition at line 150 of file wxwidgets.h.

## ◆ m_height

PLFLT wxPLDevice::m_height
| private

Definition at line 164 of file wxwidgets.h.

## ◆ m_interactiveTextGcdc

wxGCDC* wxPLDevice::m_interactiveTextGcdc
| private

Definition at line 157 of file wxwidgets.h.

## ◆ m_interactiveTextImage

wxImage wxPLDevice::m_interactiveTextImage
| private

Definition at line 156 of file wxwidgets.h.

## ◆ m_lineSpacing

PLFLT wxPLDevice::m_lineSpacing
| private

Definition at line 182 of file wxwidgets.h.

## ◆ m_localBufferPosition

size_t wxPLDevice::m_localBufferPosition
| private

Definition at line 197 of file wxwidgets.h.

## ◆ m_max_string_length

const int wxPLDevice::m_max_string_length = 500
| staticprivate

Definition at line 173 of file wxwidgets.h.

## ◆ m_mfo

char wxPLDevice::m_mfo[PLPLOT_MAX_PATH]
| private

Definition at line 190 of file wxwidgets.h.

## ◆ m_mutex

PLNamedMutex wxPLDevice::m_mutex
| private

Definition at line 195 of file wxwidgets.h.

## ◆ m_outputMemoryMap

PLMemoryMap wxPLDevice::m_outputMemoryMap
| private

Definition at line 198 of file wxwidgets.h.

## ◆ m_pen

wxPen wxPLDevice::m_pen
| private

Definition at line 151 of file wxwidgets.h.

## ◆ m_plplotEdgeLength

const PLFLT wxPLDevice::m_plplotEdgeLength
| private

Definition at line 162 of file wxwidgets.h.

## ◆ m_scale

PLFLT wxPLDevice::m_scale
| private

Definition at line 169 of file wxwidgets.h.

## ◆ m_useDcTextTransform

bool wxPLDevice::m_useDcTextTransform
| private

Definition at line 147 of file wxwidgets.h.

## ◆ m_width

PLFLT wxPLDevice::m_width
| private

Definition at line 163 of file wxwidgets.h.

## ◆ m_xAspect

PLFLT wxPLDevice::m_xAspect
| private

Definition at line 167 of file wxwidgets.h.

## ◆ m_xScale

PLFLT wxPLDevice::m_xScale
| private

Definition at line 165 of file wxwidgets.h.

## ◆ m_yAspect

PLFLT wxPLDevice::m_yAspect
| private

Definition at line 168 of file wxwidgets.h.

## ◆ m_yScale

PLFLT wxPLDevice::m_yScale
| private

Definition at line 166 of file wxwidgets.h.

The documentation for this class was generated from the following files:

- wxwidgets.h
- wxwidgets_dev.cpp